NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.SheetMetal.BridgeTransitionBuilder Class Reference

Represents a Bridge Transition builder More...

Inheritance diagram for NXOpen.Features.SheetMetal.BridgeTransitionBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FoldTransitionTypeOptions { Length, Bend }
 Enum representing the type of Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Fold . More...
 
enum  InsetOptions { MaterialInside, MaterialOutside }
 Enum representing the side of the Bridge Transition material with respect to the specified tangent plane. More...
 
enum  TypeOptions { Zu, Fold }
  More...
 
enum  WidthDirectionOptions { Left, Right }
 Enum representing the width direction for the Bridge Transition. More...
 
enum  WidthOptions {
  Finite, Symmetric, FullStartEdge, FullEndEdge,
  FullBothEdges
}
 Enum representing width option types for Bridge Transition feature. More...
 

Properties

unsafe bool AlternateSolution [get, set]
 Returns or sets the option to get an alternate solution for the Features.SheetMetal.BridgeTransitionBuilder.FoldTransitionTypeOptions.Bend when the width option is finite or symmetric. More...
 
unsafe NXOpen.SelectEdge EndEdge [get]
 Returns the end edge More...
 
unsafe NXOpen.Expression EndRadius [get]
 Returns the inner bend radius of bend region near end edge. More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions 
FoldBendOptions [get]
 Returns the bend options for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Fold bridge bend More...
 
unsafe int FoldTransitionType [get, set]
 Returns or sets the option to get fold transition type. More...
 
unsafe
NXOpen.Features.SheetMetal.BridgeTransitionBuilder.InsetOptions 
InsetType [get, set]
 Returns or sets the inset type More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length of the planar region near start edge. More...
 
unsafe NXOpen.SelectISurface Plane [get]
 Returns the tangential plane More...
 
unsafe NXOpen.Point Point [get, set]
 Returns or sets the point with respect to which the finite or symmetric width is specified. More...
 
unsafe NXOpen.Plane ReferenceGeometryPlane [get, set]
 Returns or sets the reference geometry plane More...
 
unsafe bool StartAndEndParametersEqual [get, set]
 Returns or sets the option to find whether the start and end parameters are equal. More...
 
unsafe NXOpen.SelectEdge StartEdge [get]
 Returns the start edge More...
 
unsafe NXOpen.Expression StartRadius [get]
 Returns the inner bend radius of the bend region near start edge. More...
 
unsafe bool TrimOrExtendToBend [get, set]
 Returns or sets the option to trim or extend faces to bend face. More...
 
unsafe
NXOpen.Features.SheetMetal.BridgeTransitionBuilder.TypeOptions 
Type [get, set]
 Returns or sets the transition type More...
 
unsafe NXOpen.Expression Width [get]
 Returns the width More...
 
unsafe
NXOpen.Features.SheetMetal.BridgeTransitionBuilder.WidthDirectionOptions 
WidthDirection [get, set]
 Returns or sets the width direction. More...
 
unsafe
NXOpen.Features.SheetMetal.BridgeTransitionBuilder.WidthOptions 
WidthType [get, set]
 Returns or sets the width type More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions 
ZuEndEdgeBendOptions [get]
 Returns the bend options at end edge for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Zu bridge bend. More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions 
ZuStartEdgeBendOptions [get]
 Returns the bend options at start edge for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Zu bridge bend. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Bridge Transition builder

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateBridgeTransitionBuilder

Created in NX5.0.2

Member Enumeration Documentation

Enum representing the type of Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Fold .

Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Fold can be defined by Length or Bend.

Enumerator
Length 

Fold Transition type is Length.

Bend 

Fold Transition type is Bend.

Enum representing the side of the Bridge Transition material with respect to the specified tangent plane.

If it is Features.SheetMetal.BridgeTransitionBuilder.InsetOptions.MaterialInside then the transtion and start edge flow will be on the same logical side of the plane. If they are on opposite sides then use Features.SheetMetal.BridgeTransitionBuilder.InsetOptions.MaterialOutside .

Enumerator
MaterialInside 

Bridge Transition body near tangential plane and start will be on same side of the tangential plane selected.

MaterialOutside 

Bridge Transition body near tangential plane and start will be on opposite sides of the tangential plane selected.

Enum representing types for Bridge Transition feature.

Enumerator
Zu 

Bridge Transition type consisting of Bend-Planar-Bend regions.

Fold 

Bridge Transition type consisting of Planar-Bend-Planar regions.

Enum representing the width direction for the Bridge Transition.

This enum applies only when the width type is Features.SheetMetal.BridgeTransitionBuilder.WidthOptions.Finite . The Features.SheetMetal.BridgeTransitionBuilder.WidthDirectionOptions.Right option indicates that the width is in the counter clockwise direction of flow of the start edge in the non-thickness face adjacent to it. The Features.SheetMetal.BridgeTransitionBuilder.WidthDirectionOptions.Left option indicates the width is in the opposite direction.

Enumerator
Left 

It means Bridge Transition width direction at point specified and fin direction are in opposite direction.

Right 

It means Bridge Transition width direction at point specified and fin direction are in same direction.

Enum representing width option types for Bridge Transition feature.

Enumerator
Finite 

Bridge Transition starts at specified point on start edge and extends on one side by the specified distance.

Symmetric 

Bridge Transition starts at specified point on start edge and extends on either side by half the specified distance.

FullStartEdge 

Bridge Transition spans the full length of start edge.

FullEndEdge 

Bridge Transition spans the full length of end edge.

FullBothEdges 

Bridge Transition spans the full length of both the edges.

Property Documentation

unsafe bool NXOpen.Features.SheetMetal.BridgeTransitionBuilder.AlternateSolution
getset

Returns or sets the option to get an alternate solution for the Features.SheetMetal.BridgeTransitionBuilder.FoldTransitionTypeOptions.Bend when the width option is finite or symmetric.

If there is only one working solution possible then this method will not do anything.

Created in NX10.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.SelectEdge NXOpen.Features.SheetMetal.BridgeTransitionBuilder.EndEdge
get

Returns the end edge

Created in NX5.0.2

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BridgeTransitionBuilder.EndRadius
get

Returns the inner bend radius of bend region near end edge.

End radius required to be specified for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Zu .

Created in NX5.0.2

Deprecated in NX10.0.2. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendRadius instead.

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.BridgeTransitionBuilder.FoldBendOptions
get

Returns the bend options for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Fold bridge bend

The bend options object stores additional parameters for the bend, such as bend radius, neutral factor, bend relief width and depth.

Created in NX10.0.2

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe int NXOpen.Features.SheetMetal.BridgeTransitionBuilder.FoldTransitionType
getset

Returns or sets the option to get fold transition type.

Created in NX10.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BridgeTransitionBuilder.InsetOptions NXOpen.Features.SheetMetal.BridgeTransitionBuilder.InsetType
getset

Returns or sets the inset type

Created in NX5.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BridgeTransitionBuilder.Length
get

Returns the length of the planar region near start edge.

Length is required to be specified for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Fold .

Created in NX5.0.2

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.SelectISurface NXOpen.Features.SheetMetal.BridgeTransitionBuilder.Plane
get

Returns the tangential plane

Only use this option to edit feature created prior to NX12. Use NXOpen.Features.SheetMetal.BridgeTransitionBuilder.ReferenceGeometryPlane to locate tangential plane.

Created in NX5.0.2

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Point NXOpen.Features.SheetMetal.BridgeTransitionBuilder.Point
getset

Returns or sets the point with respect to which the finite or symmetric width is specified.

Created in NX5.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Plane NXOpen.Features.SheetMetal.BridgeTransitionBuilder.ReferenceGeometryPlane
getset

Returns or sets the reference geometry plane

Created in NX12.0.0

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe bool NXOpen.Features.SheetMetal.BridgeTransitionBuilder.StartAndEndParametersEqual
getset

Returns or sets the option to find whether the start and end parameters are equal.

Created in NX10.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.SelectEdge NXOpen.Features.SheetMetal.BridgeTransitionBuilder.StartEdge
get

Returns the start edge

Created in NX5.0.2

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BridgeTransitionBuilder.StartRadius
get

Returns the inner bend radius of the bend region near start edge.

Start radius required to be specified for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Zu .

Created in NX5.0.2

Deprecated in NX10.0.2. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendRadius instead.

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe bool NXOpen.Features.SheetMetal.BridgeTransitionBuilder.TrimOrExtendToBend
getset

Returns or sets the option to trim or extend faces to bend face.

Created in NX10.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BridgeTransitionBuilder.TypeOptions NXOpen.Features.SheetMetal.BridgeTransitionBuilder.Type
getset

Returns or sets the transition type

Created in NX5.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BridgeTransitionBuilder.Width
get

Returns the width

Created in NX5.0.2

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BridgeTransitionBuilder.WidthDirectionOptions NXOpen.Features.SheetMetal.BridgeTransitionBuilder.WidthDirection
getset

Returns or sets the width direction.

Only applies if the width type is Features.SheetMetal.BridgeTransitionBuilder.WidthOptions.Finite

Created in NX5.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BridgeTransitionBuilder.WidthOptions NXOpen.Features.SheetMetal.BridgeTransitionBuilder.WidthType
getset

Returns or sets the width type

Created in NX5.0.2

License requirements to get this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.BridgeTransitionBuilder.ZuEndEdgeBendOptions
get

Returns the bend options at end edge for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Zu bridge bend.

The bend options object stores additional parameters for the bend, such as bend radius and neutral factor.

Created in NX10.0.2

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.BridgeTransitionBuilder.ZuStartEdgeBendOptions
get

Returns the bend options at start edge for Features.SheetMetal.BridgeTransitionBuilder.TypeOptions.Zu bridge bend.

The bend options object stores additional parameters for the bend, such as bend radius and neutral factor.

Created in NX10.0.2

License requirements: nx_flexible_pcb ("NX Flexible PCB") OR nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.